## org.codehaus.groovy.grails.web.sitemesh
Class GrailsPageResponseWrapper

    java.lang.Object
      javax.servlet.ServletResponseWrapper
          javax.servlet.http.HttpServletResponseWrapper
              com.opensymphony.module.sitemesh.filter.PageResponseWrapper
                  org.codehaus.groovy.grails.web.sitemesh.GrailsPageResponseWrapper

All Implemented Interfaces:
  HttpServletResponse, ServletResponse

    public class GrailsPageResponseWrapper

extends com.opensymphony.module.sitemesh.filter.PageResponseWrapper

Since:
  1.0.4

  Created: Nov 14, 2008
Author:
  Graeme Rocher

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletResponse

`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`GrailsPageResponseWrapper(HttpServletResponse response, com.opensymphony.module.sitemesh.PageParserSelector parserSelector)`

Method Summary
`void` `sendError(int sc)`
`void` `sendError(int sc, String msg)`

Methods inherited from class com.opensymphony.module.sitemesh.filter.PageResponseWrapper
`activateSiteMesh, addHeader, flushBuffer, getContents, getOutputStream, getPage, getWriter, isUsingStream, sendRedirect, setContentLength, setContentType, setHeader, setStatus`

Methods inherited from class javax.servlet.http.HttpServletResponseWrapper
`addCookie, addDateHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, setDateHeader, setIntHeader, setStatus`

Methods inherited from class javax.servlet.ServletResponseWrapper
`getBufferSize, getCharacterEncoding, getContentType, getLocale, getResponse, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setLocale, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletResponse
`getBufferSize, getCharacterEncoding, getContentType, getLocale, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setLocale`

Constructor Detail

### GrailsPageResponseWrapper

    public GrailsPageResponseWrapper(HttpServletResponse response,
                                     com.opensymphony.module.sitemesh.PageParserSelector parserSelector)

Method Detail

### sendError

    public void sendError(int sc)
                   throws IOException

  Specified by:
    `sendError` in interface `HttpServletResponse`
  Overrides:
    `sendError` in class `com.opensymphony.module.sitemesh.filter.PageResponseWrapper`
  Throws:
    `IOException`

### sendError

    public void sendError(int sc,
                          String msg)
                   throws IOException

  Specified by:
    `sendError` in interface `HttpServletResponse`
  Overrides:
    `sendError` in class `com.opensymphony.module.sitemesh.filter.PageResponseWrapper`
  Throws:
    `IOException`

Copyright (c) 2005-2009 The Grails project